# Uncomment the next line to define a global platform for your project
 platform :ios, '12.1'

target 'guildion-ios' do
  # Comment the next line if you don't want to use dynamic frameworks
  use_frameworks!
  pod 'Alamofire', '5.0.0-rc.2'
  pod 'RxSwift', '5.1.1'
  pod 'RxCocoa', '5.1.1'
  pod 'ReSwift', '6.0.0'
  pod 'WebRTC', '63.11.20455'
  pod 'Starscream', git: 'https://github.com/ethancwb/Starscream.git', branch: 'xcode-12-hotfix'
  pod 'SwiftyJSON', '5.0.0'
  pod 'ObjectMapper', '3.5.3'
  pod 'R.swift', '5.2.2'
  pod 'HydraAsync', '2.0.4'
  pod 'AlamofireObjectMapper', '6.2.0'
  pod 'Nuke', '9.1.2'
  pod 'TextFieldEffects', '1.6.0'
  pod 'WebBrowser', '0.1.5'
  pod 'GoogleAnalytics', '3.17.0'
  pod 'Firebase/Core', '6.33.0'
  pod 'AWSS3', '2.17.0'
  pod 'AWSCognito' , '2.17.0'
  pod 'OneSignal', '>= 2.9.3', '< 3.0'
  pod 'UITextView+Placeholder', '1.4.0'
  pod 'SPPermissions/Notification', '5.4.0'
  pod 'SPPermissions/Camera', '5.4.0'
  pod 'SPPermissions/Microphone', '5.4.0'
  pod 'SPPermissions/Contacts', '5.4.0'
  pod 'SPPermissions/PhotoLibrary', '5.4.0'
  pod 'Hero', '1.5.0'
  pod 'PanModal', '1.2.7'
  pod 'LocalizedTimeAgo', '1.3.0'
  pod 'RAMAnimatedTabBarController', '5.2.0'
  pod 'Parchment', '2.4.0'
  pod 'DropDown', '2.3.13'
  pod 'PKHUD', '5.3.0'
  pod 'MessageKit', git: 'https://github.com/Zakimiii/MessageKit.git',  tag: '3.5.1'
  pod 'Tabman', '2.9.1'
  pod 'SkeletonView', '1.10.0'
  pod 'LGButton', '1.1.6'
  pod 'URLEmbeddedView', git: 'https://github.com/Zakimiii/URLEmbeddedView.git',  tag: '0.19.1'
  pod 'Lightbox', git: 'https://github.com/Zakimiii/Lightbox.git', tag: '2.6.0'
  pod 'M13ProgressSuite', '1.2.9'
  pod 'TTTAttributedLabel', '2.0.0'
  pod 'SideMenu', '6.5.0'
  pod "YoutubePlayer-in-WKWebView", "~> 0.3.0"
  pod 'SwiftMessages', '8.0.3'
  pod 'BadgeSwift', '8.0.0'
  pod 'EmojiPicker', '1.1'
  pod 'ESTMusicIndicator', '0.2.0'
  pod 'FRHyperLabel', '1.0.4'
  pod 'Eureka', '5.3.2'
  pod 'LinearProgressBar', '1.0.2'
  pod 'EFQRCode', '~> 6.0.0'
  pod 'FlexColorPicker', '1.4.2'
  pod 'NotificationBannerSwift', '~> 3.0.0'
  pod 'NVActivityIndicatorView', '5.1.1'
  pod 'FSPagerView', '0.8.3'
  pod 'Gradients', '0.3.0'
  pod 'AssetsPickerViewController', git: 'https://github.com/Zakimiii/AssetsPickerViewController', tag: '2.9.9'
  pod 'Toast-Swift', '5.0.1'
  pod 'QRCodeReader.swift', '10.1.0'
  pod 'Siren', '5.7.1'
  pod 'YMTGetDeviceName', '5.1'
  pod 'Pastel', '0.6.0'
  pod 'RxAppState', '1.6.0'
  # Pods for guildion-ios
  target 'OneSignalNotificationServiceExtension' do
    pod 'OneSignal', '>= 2.9.3', '< 3.0'
    # Pods for OneSignalNotificationServiceExtension
  end
end

post_install do |installer|
  installer.pods_project.targets.each do |target|
    target.build_configurations.each do |config|
      config.build_settings['APPLICATION_EXTENSION_API_ONLY'] = 'No'
     end
  end
end
